Skip to content
This repository

ERR! make #185

Open
shotlom opened this Issue March 18, 2012 · 7 comments

4 participants

Sholto Maud Juzer Ali Steve Wang Mathias Rangel Wulff
Sholto Maud

Hi,

It looks like an interesting module, but I'm having trouble installing on windows 32 bit. It seems not to recognise the make command.

info it worked if it ends with ok
verbose cli [ 'C:\Program Files\NodeJS\\node.exe',
verbose cli 'C:\Program Files\NodeJS\node_modules\npm\bin\npm-cli.js',
verbose cli 'install',
verbose cli 'now' ]
info using npm@1.1.0-beta-4
info using node@v0.6.6
verbose config file C:\Users\User.npmrc
verbose config file C:\Program Files\NodeJS\etc\npmrc
verbose config file C:\Program Files\NodeJS\node_modules\npm\npmrc
verbose mkdir done: C:\Users\User 755
verbose caching C:\Users\User\node_modules\connect\package.json
verbose loadDefaults connect@2.0.1
verbose caching C:\Users\User\node_modules\mongodb\package.json
verbose loadDefaults mongodb@0.9.9-4
verbose caching C:\Users\User\node_modules\socket.io\package.json
verbose loadDefaults socket.io@0.9.1-1
verbose into C:\Users\User [ 'now' ]
verbose cache add now
verbose cache add [ 'now', null ]
silly cache add: name, spec, args [ undefined, 'now', [ 'now', null ] ]
verbose parsed url { pathname: 'now', path: 'now', href: 'now' }
verbose addNamed [ 'now', '' ]
verbose addNamed [ null, '' ]
silly name, range, hasData [ 'now', '', false ]
verbose raw, before any munging now
verbose url resolving [ 'https://registry.npmjs.org/', './now' ]
verbose url resolved https://registry.npmjs.org/now
verbose etag "8W9IAD7IFWKHJXM653KIPBU1P"
http GET https://registry.npmjs.org/now
http 304 https://registry.npmjs.org/now
silly get cb [ 304,
silly get cb { server: 'CouchDB/1.2.0 (Erlang OTP/R15B)',
silly get cb etag: '"8W9IAD7IFWKHJXM653KIPBU1P"',
silly get cb date: 'Sun, 18 Mar 2012 12:31:51 GMT',
silly get cb 'content-length': '0' } ]
verbose etag now from cache
verbose mkdir done: C:\Users\User\AppData\Roaming\npm-cache\now 755
silly name, range, hasData 2 [ 'now', '', true ]
silly versions [ 'now',
silly versions [ '0.2.0',
silly versions '0.2.1',
silly versions '0.2.2',
silly versions '0.2.3',
silly versions '0.2.4',
silly versions '0.3.0',
silly versions '0.3.1',
silly versions '0.3.2',
silly versions '0.5.0',
silly versions '0.5.1',
silly versions '0.5.2',
silly versions '0.5.3',
silly versions '0.6.0',
silly versions '0.6.1',
silly versions '0.7.0',
silly versions '0.7.1',
silly versions '0.7.2',
silly versions '0.7.3',
silly versions '0.7.4',
silly versions '0.7.5',
silly versions '0.7.6',
silly versions '0.8.0',
silly versions '0.8.1' ] ]
verbose bin dist [ '0.6-ares1.7.5-DEV-evundefined-openssl0.9.8r-v83.6.6.14-win32-ia32-6.1.7600',
verbose bin dist { shasum: 'e93365a16a405f8d9eace01c6461161e2f54d710',
verbose bin dist tarball: 'http://registry.npmjs.org/now/-/now-0.8.1.tgz' } ]
verbose caching C:\Users\User\AppData\Roaming\npm-cache\now\0.8.1\package\package.json
verbose loadDefaults now@0.8.1
silly resolved [ { author: { name: 'Flotype' },
silly resolved name: 'now',
silly resolved description: 'NowJS: An easy to use real-time RPC library',
silly resolved version: '0.8.1',
silly resolved repository: { type: 'git', url: 'git://github.com/Flotype/now.git' },
silly resolved main: 'lib/server.js',
silly resolved engines: { node: '>= v0.4.0' },
silly resolved dependencies: { 'socket.io': '>= 0.8.7', 'node-proxy': '>= 0.4.0' },
silly resolved devDependencies: {},
silly resolved id: 'now@0.8.1',
silly resolved _engineSupported: true,
silly resolved _npmVersion: '1.1.0-beta-4',
silly resolved _nodeVersion: 'v0.6.6',
silly resolved _defaultsLoaded: true,
silly resolved scripts: {} } ]
info into C:\Users\User now@0.8.1
info installOne now@0.8.1
info unbuild C:\Users\User\node_modules\now
verbose from cache C:\Users\User\AppData\Roaming\npm-cache\now\0.8.1\package\package.json
verbose mkdir (expected) error ENOENT, no such file or directory 'C:\Users\User\node_modules___now.npm'
verbose mkdir done: C:\Users\User\node_modules___now.npm 755
verbose unpack
uid, gid [ undefined, undefined ]
verbose unpackTarget C:\Users\User\node_modules\now
silly gunzTarPerm modes [ '755', '644' ]
silly afterUntar undefined
verbose gunzed C:\Users\User\node_modules___now.npm\package
verbose rm'ed C:\Users\User\node_modules\now
verbose renamed [ 'C:\Users\User\node_modules\_now.npm\package',
verbose renamed 'C:\Users\User\node_modules\now' ]
verbose caching C:\Users\User\node_modules\now\package.json
verbose loadDefaults now@0.8.1
info preinstall now@0.8.1
verbose from cache C:\Users\User\node_modules\now\package.json
verbose into C:\Users\User\node_modules\now [ 'node-proxy@>= 0.4.0' ]
verbose cache add node-proxy@>= 0.4.0
verbose cache add [ 'node-proxy@>= 0.4.0', null ]
silly cache add: name, spec, args [ undefined,
silly cache add: name, spec, args 'node-proxy@>= 0.4.0',
silly cache add: name, spec, args [ 'node-proxy@>= 0.4.0', null ] ]
verbose parsed url { pathname: 'node-proxy@',
verbose parsed url path: 'node-proxy@',
verbose parsed url href: 'node-proxy@' }
silly cache add: name, spec, args [ 'node-proxy', '>= 0.4.0', [ 'node-proxy', '>= 0.4.0' ] ]
verbose parsed url { pathname: '=', path: '=', href: '=' }
verbose addNamed [ 'node-proxy', '>= 0.4.0' ]
verbose addNamed [ null, '>=0.4.0' ]
silly name, range, hasData [ 'node-proxy', '>=0.4.0', false ]
verbose raw, before any munging node-proxy
verbose url resolving [ 'https://registry.npmjs.org/', './node-proxy' ]
verbose url resolved https://registry.npmjs.org/node-proxy
verbose etag "ACP7YK36LF0OQQO3H5E9115GA"
http GET https://registry.npmjs.org/node-proxy
http 304 https://registry.npmjs.org/node-proxy
silly get cb [ 304,
silly get cb { server: 'CouchDB/1.2.0 (Erlang OTP/R15B)',
silly get cb etag: '"ACP7YK36LF0OQQO3H5E9115GA"',
silly get cb date: 'Sun, 18 Mar 2012 12:31:55 GMT',
silly get cb 'content-length': '0' } ]
verbose etag node-proxy from cache
verbose mkdir done: C:\Users\User\AppData\Roaming\npm-cache\node-proxy 755
silly name, range, hasData 2 [ 'node-proxy', '>=0.4.0', true ]
silly versions [ 'node-proxy',
silly versions [ '0.3.1', '0.3.2', '0.4.0', '0.5.0', '0.5.1', '0.5.2' ] ]
verbose bin dist [ '0.6-ares1.7.5-DEV-evundefined-openssl0.9.8r-v83.6.6.14-win32-ia32-6.1.7600',
verbose bin dist { shasum: 'c22cc7ddf8c2af0bfa32fed30d3c533b216ef893',
verbose bin dist tarball: 'http://registry.npmjs.org/node-proxy/-/node-proxy-0.5.2.tgz' } ]
WARN node-proxy@0.5.2 package.json: bugs['web'] should probably be bugs['url']
verbose caching C:\Users\User\AppData\Roaming\npm-cache\node-proxy\0.5.2\package\package.json
verbose loadDefaults node-proxy@0.5.2
silly resolved [ { name: 'node-proxy',
silly resolved version: '0.5.2',
silly resolved description: 'A module for node implementing __noSuchMethod
-type handlers, such as object overloading, as part of the Harmony Catch-All Proxies specification found at http://wiki.ecmascript.org/doku.php?id=harmony:proxies',
silly resolved keywords: [ 'interceptor', 'proxy', 'overload', 'noSuchMethod' ],
silly resolved contributors:
silly resolved [ { name: 'Sam Shull',
silly resolved email: 'http://www.google.com/profiles/brickysam26' },
silly resolved { name: 'richardms', email: 'https://github.com/richardms' } ],
silly resolved licenses:
silly resolved [ { type: 'MIT',
silly resolved url: 'http://www.opensource.org/licenses/mit-license.html' } ],
silly resolved bugs: { url: 'http://github.com/samshull/node-proxy/issues' },
silly resolved implements: [ 'http://wiki.ecmascript.org/doku.php?id=harmony:proxies' ],
silly resolved engines: { node: '>=0.1.103' },
silly resolved repositories: [ { type: 'git', url: 'http://github.com/samshull/node-proxy' } ],
silly resolved main: './lib/node-proxy.node',
silly resolved scripts: { install: 'make' },
silly resolved id: 'node-proxy@0.5.2',
silly resolved dependencies: {},
silly resolved devDependencies: {},
silly resolved _engineSupported: true,
silly resolved _npmVersion: '1.1.0-beta-4',
silly resolved _nodeVersion: 'v0.6.6',
silly resolved _defaultsLoaded: true } ]
info into C:\Users\User\node_modules\now node-proxy@0.5.2
info installOne node-proxy@0.5.2
info unbuild C:\Users\User\node_modules\now\node_modules\node-proxy
verbose from cache C:\Users\User\AppData\Roaming\npm-cache\node-proxy\0.5.2\package\package.json
verbose mkdir (expected) error ENOENT, no such file or directory 'C:\Users\User\node_modules\now\node_modules'
verbose mkdir (expected) error ENOENT, no such file or directory 'C:\Users\User\node_modules\now\node_modules___node-proxy.npm'
verbose mkdir done: C:\Users\User\node_modules\now\node_modules___node-proxy.npm 755
verbose unpack
uid, gid [ undefined, undefined ]
verbose unpackTarget C:\Users\User\node_modules\now\node_modules\node-proxy
silly gunzTarPerm modes [ '755', '644' ]
silly afterUntar undefined
verbose gunzed C:\Users\User\node_modules\now\node_modules___node-proxy.npm\package
verbose rm'ed C:\Users\User\node_modules\now\node_modules\node-proxy
verbose renamed [ 'C:\Users\User\node_modules\now\node_modules\___node-proxy.npm\package',
verbose renamed 'C:\Users\User\node_modules\now\node_modules\node-proxy' ]
verbose caching C:\Users\User\node_modules\now\node_modules\node-proxy\package.json
verbose loadDefaults node-proxy@0.5.2
info preinstall node-proxy@0.5.2
verbose from cache C:\Users\User\node_modules\now\node_modules\node-proxy\package.json
verbose into C:\Users\User\node_modules\now\node_modules\node-proxy []
silly resolved []
verbose about to build C:\Users\User\node_modules\now\node_modules\node-proxy
info build C:\Users\User\node_modules\now\node_modules\node-proxy
verbose from cache C:\Users\User\node_modules\now\node_modules\node-proxy\package.json
verbose linkStuff [ false,
verbose linkStuff false,
verbose linkStuff false,
verbose linkStuff 'C:\Users\User\node_modules\now\node_modules' ]
info linkStuff node-proxy@0.5.2
verbose linkBins node-proxy@0.5.2
verbose linkMans node-proxy@0.5.2
verbose rebuildBundles node-proxy@0.5.2
info install node-proxy@0.5.2
verbose unsafe-perm in lifecycle true
silly exec cmd "/c" "make"
silly spawning [ 'cmd',
silly spawning [ '/c', 'make' ],
silly spawning 'C:\Users\User\node_modules\now\node_modules\node-proxy' ]
info node-proxy@0.5.2 Failed to exec install script
ERR! error installing node-proxy@0.5.2
info unbuild C:\Users\User\node_modules\now\node_modules\node-proxy
verbose from cache C:\Users\User\node_modules\now\node_modules\node-proxy\package.json
info preuninstall node-proxy@0.5.2
info uninstall node-proxy@0.5.2
verbose unbuild node-proxy@0.5.2 [ false,
verbose unbuild node-proxy@0.5.2 'C:\Users\User\node_modules',
verbose unbuild node-proxy@0.5.2 'C:\Users\User\node_modules\now\node_modules' ]
info postuninstall node-proxy@0.5.2
ERR! error rolling back node-proxy@0.5.2 Error: UNKNOWN, unknown error 'C:\Users\User\node_modules\now\node_modules\node-proxy'
verbose installOne cb node-proxy@0.5.2
verbose about to build C:\Users\User\node_modules\now
ERR! error installing now@0.8.1
info unbuild C:\Users\User\node_modules\now
verbose from cache C:\Users\User\node_modules\now\package.json
info preuninstall now@0.8.1
info uninstall now@0.8.1
verbose unbuild now@0.8.1 [ true,
verbose unbuild now@0.8.1 'C:\Users\User\node_modules',
verbose unbuild now@0.8.1 'C:\Users\User\node_modules' ]
info postuninstall now@0.8.1
verbose installOne cb now@0.8.1
ERR! node-proxy@0.5.2 install: make
ERR! cmd "/c" "make" failed with 1
ERR!
ERR! Failed at the node-proxy@0.5.2 install script.
ERR! This is most likely a problem with the node-proxy package,
ERR! not with npm itself.
ERR! Tell the author that this fails on your system:
ERR! make
ERR! You can get their info via:
ERR! npm owner ls node-proxy
ERR! There is likely additional logging output above.
ERR!
ERR! System Windows_NT 6.1.7600
ERR! command "C:\Program Files\NodeJS\\node.exe" "C:\Program Files\NodeJS\node_modules\npm\bin\npm-cli.js" "install" "now"
ERR! cwd C:\Users\User\Dropbox\Programming\D&D\Experiements
ERR! node -v v0.6.6
ERR! npm -v 1.1.0-beta-4
ERR! code ELIFECYCLE
ERR! message node-proxy@0.5.2 install: make
ERR! message cmd "/c" "make" failed with 1
verbose exit [ 1, true ]

Juzer Ali

Me too having the same issue, kindly look...

Juzer Ali

Is anybody looking into this issue?

Steve Wang

Sorry, no Windows here. I believe this is a known issue; see the windows branch (https://github.com/Flotype/now/tree/windows).

(it's a few commits old)

Mathias Rangel Wulff

Argh... im traped as github novice with windows :-/

Can someone explain how I use the https://github.com/Flotype/now/tree/windows branch in my npm install now command?

Steve Wang

npm install https://github.com/Flotype/now/tarball/windows should work.

Mathias Rangel Wulff

Aaaaaah - thanks mate :) (I get the concept now of installing from github)

Unfortunately I still get a 'make' is not recognized as an internal or external command when it gets to node-proxy

Steve Wang

MinGW might be useful here -- I think it provides these commands.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.